2021-03-03 03:10 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001688Frama-CPlug-in > wppublic2015-03-17 22:18
Reporterjens 
Assigned Tocorrenson 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Sodium 
Summary0001688: CVC4 results are not displayed in the GUI
DescriptionWhen using the CVC4 prover the verification results are not automatically displayed in the GUI.
Additional InformationThe problem was observed with Frama-C Neon.
TagsNo tags attached.
Attached Files
  • gif file icon frama-c-gui.gif (218,040 bytes) 2014-07-14 15:22 -
    gif file icon frama-c-gui.gif (218,040 bytes) 2014-07-14 15:22 +
  • c file icon gui01.c (82 bytes) 2014-07-14 15:24 -
    void main(void) {
    	//@ assert \true;
    	//@ assert \exists integer x; x*x == 2;
    }
    
    
    c file icon gui01.c (82 bytes) 2014-07-14 15:24 +

-Relationships
+Relationships

-Notes

~0005256

Jochen (reporter)

I obtained the same problem (see picture "frama-c-gui.gif") from the command "frama-c-gui -wp-prover alt-ergo,cvc4 -wp -wp-rte gui01.c".

~0005430

correnson (manager)

Fix committed to master branch.
+Notes

-Issue History
Date Modified Username Field Change
2014-03-12 17:05 jens New Issue
2014-03-12 17:05 jens Status new => assigned
2014-03-12 17:05 jens Assigned To => correnson
2014-07-14 15:22 Jochen File Added: frama-c-gui.gif
2014-07-14 15:24 Jochen File Added: gui01.c
2014-07-14 15:25 Jochen Note Added: 0005256
2014-09-03 16:28 correnson Source_changeset_attached => framac master b6fa8825
2014-09-03 16:28 correnson Note Added: 0005430
2014-09-03 16:28 correnson Status assigned => resolved
2014-09-03 16:28 correnson Resolution open => fixed
2015-03-17 22:17 signoles Fixed in Version => Frama-C Sodium
2015-03-17 22:18 signoles Status resolved => closed
+Issue History